View Issue Details

IDProjectCategoryView StatusLast Update
0001996FreeCADBugpublic2016-02-28 10:58
Reporterdavea0511 Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLaptopOSWindows OS Version7
Product Version0.14 
Target VersionFixed in Version0.16 
Summary0001996: Fillet radius assumes metric even after all preferences and defaults changed to english
Descriptionmy 0.1" fillets were not showing up. Then I retried it giving a fillet of 2.54 (0.1" = 2.54mm). They then came out as expected.
Steps To ReproduceChange all defaults in preferences to english units. Then do a fillet using inches. Incidentally, it does not allow you to specify a unit measurement for the radius, but it should.
Additional InformationThanks!
TagsQuantity
FreeCAD Information

Activities

normandc

2015-03-22 17:40

manager   ~0005917

There are two separate Fillet tools in FreeCAD. One in the Part workbench, and one in the Part Design workbench. Please be specific when reporting.

The Unit framework was introduced in v0.14.3700 but not fully implemented.

PartDesign Fillet supports units in v0.15.

To devs: Part Fillet still does not.

Related Changesets

FreeCAD: master 92c2b183

2016-02-28 11:24:36

wmayer

Details Diff
+ use quantity boxes in fillet/chamfer dialog Affected Issues
0001996
mod - src/Mod/Part/Gui/DlgFilletEdges.cpp Diff File
mod - src/Mod/Part/Gui/DlgFilletEdges.h Diff File
mod - src/Mod/Part/Gui/DlgFilletEdges.ui Diff File

Issue History

Date Modified Username Field Change
2015-03-10 08:06 davea0511 New Issue
2015-03-10 11:00 shoogen Tag Attached: Quantity
2015-03-22 17:40 normandc Note Added: 0005917
2016-02-28 10:58 wmayer Changeset attached => FreeCAD Master master 92c2b183
2016-02-28 10:58 wmayer Status new => closed
2016-02-28 10:58 wmayer Assigned To => wmayer
2016-02-28 10:58 wmayer Resolution open => fixed
2016-02-28 10:58 wmayer Fixed in Version => 0.16